diff -pruN 1.3.0-4/debian/changelog 1.3.0-5/debian/changelog
--- 1.3.0-4/debian/changelog	2024-04-16 21:17:46.000000000 +0000
+++ 1.3.0-5/debian/changelog	2024-06-18 06:57:35.000000000 +0000
@@ -1,11 +1,10 @@
-kuserfeedback (1.3.0-4) experimental; urgency=medium
+kuserfeedback (1.3.0-5) unstable; urgency=medium
 
-  * Revert "build also qt6 libraries", the qt6 binaries are now provided by
-    the kf6-kuserfeedback source package.
-  * Drop -bin and -doc packages that are now provided by the kf6 source
-    package.
+  [ Patrick Franz ]
+  * Team upload.
+  * Disable tests.
 
- -- Aurélien COUDERC <coucouf@debian.org>  Tue, 16 Apr 2024 23:17:46 +0200
+ -- Patrick Franz <deltaone@debian.org>  Tue, 18 Jun 2024 08:57:35 +0200
 
 kuserfeedback (1.3.0-3) unstable; urgency=medium
 
diff -pruN 1.3.0-4/debian/control 1.3.0-5/debian/control
--- 1.3.0-4/debian/control	2024-04-16 21:17:46.000000000 +0000
+++ 1.3.0-5/debian/control	2024-06-18 06:45:01.000000000 +0000
@@ -12,6 +12,9 @@ Build-Depends: bison,
                libqt5charts5-dev,
                libqt5svg5-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
+               qt6-base-dev,
+               qt6-declarative-dev,
+               qt6-tools-dev,
                qtbase5-dev (>= 5.8.0~),
                qtdeclarative5-dev,
                qtdeclarative5-dev-tools,
@@ -47,6 +50,23 @@ Description: user feedback for applicati
  .
  This package contains the shared localizations for KUserFeedback.
 
+Package: kuserfeedback-bin
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: user feedback for applications - executables
+ Framework for collecting user feedback for applications via telemetry
+ and surveys.
+ .
+ Telemetry
+  * Extensible set of data sources for telemetry.
+  * Full control for the user on what data to contribute.
+ Surveys
+  * Distribute surveys and offer users to participate in them.
+  * Survey targeting based on telemetry data.
+  * Allow the user to configure how often they want to participate in surveys.
+ .
+ This package contains the management and analytics applications.
+
 Package: kuserfeedback-dev
 Section: libdevel
 Architecture: any
@@ -69,11 +89,31 @@ Description: development files for KUser
  This package contains the development header files for the Qt 5 version of
  KUserFeedback.
 
+Package: kuserfeedback-doc
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Section: doc
+Description: user feedback for applications - documentation
+ Framework for collecting user feedback for applications via telemetry
+ and surveys.
+ .
+ Telemetry
+  * Extensible set of data sources for telemetry.
+  * Full control for the user on what data to contribute.
+ Surveys
+  * Distribute surveys and offer users to participate in them.
+  * Survey targeting based on telemetry data.
+  * Allow the user to configure how often they want to participate in surveys.
+ .
+ This package contains the documentation for kuserfeedback.
+
 Package: libkuserfeedbackcore1
 Architecture: any
 Multi-Arch: same
 Depends: libkuserfeedback-l10n (>= ${source:Version}),
          ${misc:Depends}, ${shlibs:Depends}
+Recommends: kuserfeedback-doc (= ${binary:Version})
 Description: user feedback for applications - Qt 5 core library
  Framework for collecting user feedback for applications via telemetry
  and surveys.
@@ -125,3 +165,83 @@ Description: user feedback for applicati
   * Allow the user to configure how often they want to participate in surveys.
  .
  This package contains the QML module for the Qt 5 version of KUserFeedback.
+
+Package: qt6-kuserfeedback-dev
+Section: libdevel
+Architecture: any
+Depends: libkuserfeedbackcoreqt6-1 (= ${binary:Version}),
+         libkuserfeedbackwidgetsqt6-1 (= ${binary:Version}),
+         qt6-base-dev,
+         ${misc:Depends},
+Description: development files for KUserFeedback - Qt 6 version
+ Framework for collecting user feedback for applications via telemetry
+ and surveys.
+ .
+ Telemetry
+  * Extensible set of data sources for telemetry.
+  * Full control for the user on what data to contribute.
+ Surveys
+  * Distribute surveys and offer users to participate in them.
+  * Survey targeting based on telemetry data.
+  * Allow the user to configure how often they want to participate in surveys.
+ .
+ This package contains the development header files for the Qt 6 version of
+ KUserFeedback.
+
+Package: libkuserfeedbackcoreqt6-1
+Architecture: any
+Multi-Arch: same
+Depends: libkuserfeedback-l10n (>= ${source:Version}),
+         ${misc:Depends}, ${shlibs:Depends}
+Recommends: kuserfeedback-doc (= ${binary:Version})
+Description: user feedback for applications - Qt 6 core library
+ Framework for collecting user feedback for applications via telemetry
+ and surveys.
+ .
+ Telemetry
+  * Extensible set of data sources for telemetry.
+  * Full control for the user on what data to contribute.
+ Surveys
+  * Distribute surveys and offer users to participate in them.
+  * Survey targeting based on telemetry data.
+  * Allow the user to configure how often they want to participate in surveys.
+ .
+ This package contains the core library for the Qt 6 version of KUserFeedback.
+
+Package: libkuserfeedbackwidgetsqt6-1
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: qml6-module-org-kde-userfeedback (= ${binary:Version})
+Description: user feedback for applications - Qt 6 widgets library
+ Framework for collecting user feedback for applications via telemetry
+ and surveys.
+ .
+ Telemetry
+  * Extensible set of data sources for telemetry.
+  * Full control for the user on what data to contribute.
+ Surveys
+  * Distribute surveys and offer users to participate in them.
+  * Survey targeting based on telemetry data.
+  * Allow the user to configure how often they want to participate in surveys.
+ .
+ This package contains the widgets library for the Qt 6 version of
+ KUserFeedback.
+
+Package: qml6-module-org-kde-userfeedback
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: user feedback for applications - Qt 6 QML module
+ Framework for collecting user feedback for applications via telemetry
+ and surveys.
+ .
+ Telemetry
+  * Extensible set of data sources for telemetry.
+  * Full control for the user on what data to contribute.
+ Surveys
+  * Distribute surveys and offer users to participate in them.
+  * Survey targeting based on telemetry data.
+  * Allow the user to configure how often they want to participate in surveys.
+ .
+ This package contains the QML module for the Qt 6 version of KUserFeedback.
diff -pruN 1.3.0-4/debian/libkuserfeedbackcoreqt6-1.install 1.3.0-5/debian/libkuserfeedbackcoreqt6-1.install
--- 1.3.0-4/debian/libkuserfeedbackcoreqt6-1.install	1970-01-01 00:00:00.000000000 +0000
+++ 1.3.0-5/debian/libkuserfeedbackcoreqt6-1.install	2024-06-18 06:45:01.000000000 +0000
@@ -0,0 +1,2 @@
+usr/lib/*/libKUserFeedbackCoreQt6.so.1*
+usr/share/qlogging-categories6/org_kde_UserFeedback.categories
diff -pruN 1.3.0-4/debian/libkuserfeedbackcoreqt6-1.symbols 1.3.0-5/debian/libkuserfeedbackcoreqt6-1.symbols
--- 1.3.0-4/debian/libkuserfeedbackcoreqt6-1.symbols	1970-01-01 00:00:00.000000000 +0000
+++ 1.3.0-5/debian/libkuserfeedbackcoreqt6-1.symbols	2024-06-18 06:45:01.000000000 +0000
@@ -0,0 +1,262 @@
+# SymbolsHelper-Confirmed: 1.3.0 amd64 i386
+libKUserFeedbackCoreQt6.so.1 libkuserfeedbackcoreqt6-1 #MINVER#
+* Build-Depends-Package: qt6-kuserfeedback-dev
+ _ZN13KUserFeedback10SurveyInfo16staticMetaObjectE@Base 1.3.0
+ _ZN13KUserFeedback10SurveyInfo6setUrlERK4QUrl@Base 1.3.0
+ _ZN13KUserFeedback10SurveyInfo7setUuidERK5QUuid@Base 1.3.0
+ _ZN13KUserFeedback10SurveyInfo8fromJsonERK11QJsonObject@Base 1.3.0
+ _ZN13KUserFeedback10SurveyInfo9setTargetERK7QString@Base 1.3.0
+ _ZN13KUserFeedback10SurveyInfoC1ERKS0_@Base 1.3.0
+ _ZN13KUserFeedback10SurveyInfoC1Ev@Base 1.3.0
+ _ZN13KUserFeedback10SurveyInfoC2ERKS0_@Base 1.3.0
+ _ZN13KUserFeedback10SurveyInfoC2Ev@Base 1.3.0
+ _ZN13KUserFeedback10SurveyInfoD1Ev@Base 1.3.0
+ _ZN13KUserFeedback10SurveyInfoD2Ev@Base 1.3.0
+ _ZN13KUserFeedback10SurveyInfoaSERKS0_@Base 1.3.0
+ _ZN13KUserFeedback13CpuInfoSource4dataEv@Base 1.3.0
+ _ZN13KUserFeedback13CpuInfoSourceC1Ev@Base 1.3.0
+ _ZN13KUserFeedback13CpuInfoSourceC2Ev@Base 1.3.0
+ _ZN13KUserFeedback13QPAInfoSource4dataEv@Base 1.3.0
+ _ZN13KUserFeedback13QPAInfoSourceC1Ev@Base 1.3.0
+ _ZN13KUserFeedback13QPAInfoSourceC2Ev@Base 1.3.0
+ _ZN13KUserFeedback15QtVersionSource4dataEv@Base 1.3.0
+ _ZN13KUserFeedback15QtVersionSourceC1Ev@Base 1.3.0
+ _ZN13KUserFeedback15QtVersionSourceC2Ev@Base 1.3.0
+ _ZN13KUserFeedback15UsageTimeSource11setProviderEPNS_15ProviderPrivateE@Base 1.3.0
+ _ZN13KUserFeedback15UsageTimeSource4dataEv@Base 1.3.0
+ _ZN13KUserFeedback15UsageTimeSourceC1Ev@Base 1.3.0
+ _ZN13KUserFeedback15UsageTimeSourceC2Ev@Base 1.3.0
+ _ZN13KUserFeedback16LocaleInfoSource4dataEv@Base 1.3.0
+ _ZN13KUserFeedback16LocaleInfoSourceC1Ev@Base 1.3.0
+ _ZN13KUserFeedback16LocaleInfoSourceC2Ev@Base 1.3.0
+ _ZN13KUserFeedback16OpenGLInfoSource4dataEv@Base 1.3.0
+ _ZN13KUserFeedback16OpenGLInfoSourceC1Ev@Base 1.3.0
+ _ZN13KUserFeedback16OpenGLInfoSourceC2Ev@Base 1.3.0
+ _ZN13KUserFeedback16ScreenInfoSource4dataEv@Base 1.3.0
+ _ZN13KUserFeedback16ScreenInfoSourceC1Ev@Base 1.3.0
+ _ZN13KUserFeedback16ScreenInfoSourceC2Ev@Base 1.3.0
+ _ZN13KUserFeedback16StartCountSource11setProviderEPNS_15ProviderPrivateE@Base 1.3.0
+ _ZN13KUserFeedback16StartCountSource4dataEv@Base 1.3.0
+ _ZN13KUserFeedback16StartCountSourceC1Ev@Base 1.3.0
+ _ZN13KUserFeedback16StartCountSourceC2Ev@Base 1.3.0
+ _ZN13KUserFeedback18AbstractDataSource16setTelemetryModeENS_8Provider13TelemetryModeE@Base 1.3.0
+ _ZN13KUserFeedback18AbstractDataSource4loadEP9QSettings@Base 1.3.0
+ _ZN13KUserFeedback18AbstractDataSource5resetEP9QSettings@Base 1.3.0
+ _ZN13KUserFeedback18AbstractDataSource5setIdERK7QString@Base 1.3.0
+ _ZN13KUserFeedback18AbstractDataSource5storeEP9QSettings@Base 1.3.0
+ _ZN13KUserFeedback18AbstractDataSource8loadImplEP9QSettings@Base 1.3.0
+ _ZN13KUserFeedback18AbstractDataSource9resetImplEP9QSettings@Base 1.3.0
+ _ZN13KUserFeedback18AbstractDataSource9setActiveEb@Base 1.3.0
+ _ZN13KUserFeedback18AbstractDataSource9storeImplEP9QSettings@Base 1.3.0
+ _ZN13KUserFeedback18AbstractDataSourceC1ERK7QStringNS_8Provider13TelemetryModeE@Base 1.3.0
+ _ZN13KUserFeedback18AbstractDataSourceC1ERK7QStringNS_8Provider13TelemetryModeEPNS_25AbstractDataSourcePrivateE@Base 1.3.0
+ _ZN13KUserFeedback18AbstractDataSourceC2ERK7QStringNS_8Provider13TelemetryModeE@Base 1.3.0
+ _ZN13KUserFeedback18AbstractDataSourceC2ERK7QStringNS_8Provider13TelemetryModeEPNS_25AbstractDataSourcePrivateE@Base 1.3.0
+ _ZN13KUserFeedback18AbstractDataSourceD0Ev@Base 1.3.0
+ _ZN13KUserFeedback18AbstractDataSourceD1Ev@Base 1.3.0
+ _ZN13KUserFeedback18AbstractDataSourceD2Ev@Base 1.3.0
+ _ZN13KUserFeedback18CompilerInfoSource4dataEv@Base 1.3.0
+ _ZN13KUserFeedback18CompilerInfoSourceC1Ev@Base 1.3.0
+ _ZN13KUserFeedback18CompilerInfoSourceC2Ev@Base 1.3.0
+ _ZN13KUserFeedback18PlatformInfoSource4dataEv@Base 1.3.0
+ _ZN13KUserFeedback18PlatformInfoSourceC1Ev@Base 1.3.0
+ _ZN13KUserFeedback18PlatformInfoSourceC2Ev@Base 1.3.0
+ _ZN13KUserFeedback19PropertyRatioSource14setDescriptionERK7QString@Base 1.3.0
+ _ZN13KUserFeedback19PropertyRatioSource15addValueMappingERK8QVariantRK7QString@Base 1.3.0
+ _ZN13KUserFeedback19PropertyRatioSource15setPropertyNameERK7QString@Base 1.3.0
+ _ZN13KUserFeedback19PropertyRatioSource4dataEv@Base 1.3.0
+ _ZN13KUserFeedback19PropertyRatioSource7setNameERK7QString@Base 1.3.0
+ _ZN13KUserFeedback19PropertyRatioSource8loadImplEP9QSettings@Base 1.3.0
+ _ZN13KUserFeedback19PropertyRatioSource9resetImplEP9QSettings@Base 1.3.0
+ _ZN13KUserFeedback19PropertyRatioSource9setObjectEP7QObject@Base 1.3.0
+ _ZN13KUserFeedback19PropertyRatioSource9storeImplEP9QSettings@Base 1.3.0
+ _ZN13KUserFeedback19PropertyRatioSourceC1EP7QObjectPKcRK7QString@Base 1.3.0
+ _ZN13KUserFeedback19PropertyRatioSourceC2EP7QObjectPKcRK7QString@Base 1.3.0
+ _ZN13KUserFeedback20AuditLogUiController11qt_metacallEN11QMetaObject4CallEiPPv@Base 1.3.0
+ _ZN13KUserFeedback20AuditLogUiController11qt_metacastEPKc@Base 1.3.0
+ _ZN13KUserFeedback20AuditLogUiController16staticMetaObjectE@Base 1.3.0
+ _ZN13KUserFeedback20AuditLogUiController20logEntryCountChangedEv@Base 1.3.0
+ _ZN13KUserFeedback20AuditLogUiController5clearEv@Base 1.3.0
+ _ZN13KUserFeedback20AuditLogUiControllerC1EP7QObject@Base 1.3.0
+ _ZN13KUserFeedback20AuditLogUiControllerC2EP7QObject@Base 1.3.0
+ _ZN13KUserFeedback20AuditLogUiControllerD0Ev@Base 1.3.0
+ _ZN13KUserFeedback20AuditLogUiControllerD1Ev@Base 1.3.0
+ _ZN13KUserFeedback20AuditLogUiControllerD2Ev@Base 1.3.0
+ _ZN13KUserFeedback20SelectionRatioSource14setDescriptionERK7QString@Base 1.3.0
+ _ZN13KUserFeedback20SelectionRatioSource4dataEv@Base 1.3.0
+ _ZN13KUserFeedback20SelectionRatioSource7setRoleEi@Base 1.3.0
+ _ZN13KUserFeedback20SelectionRatioSource8loadImplEP9QSettings@Base 1.3.0
+ _ZN13KUserFeedback20SelectionRatioSource9resetImplEP9QSettings@Base 1.3.0
+ _ZN13KUserFeedback20SelectionRatioSource9storeImplEP9QSettings@Base 1.3.0
+ _ZN13KUserFeedback20SelectionRatioSourceC1EP19QItemSelectionModelRK7QString@Base 1.3.0
+ _ZN13KUserFeedback20SelectionRatioSourceC2EP19QItemSelectionModelRK7QString@Base 1.3.0
+ _ZN13KUserFeedback24ApplicationVersionSource4dataEv@Base 1.3.0
+ _ZN13KUserFeedback24ApplicationVersionSourceC1Ev@Base 1.3.0
+ _ZN13KUserFeedback24ApplicationVersionSourceC2Ev@Base 1.3.0
+ _ZN13KUserFeedback26FeedbackConfigUiController11qt_metacallEN11QMetaObject4CallEiPPv@Base 1.3.0
+ _ZN13KUserFeedback26FeedbackConfigUiController11qt_metacastEPKc@Base 1.3.0
+ _ZN13KUserFeedback26FeedbackConfigUiController15providerChangedEv@Base 1.3.0
+ _ZN13KUserFeedback26FeedbackConfigUiController16staticMetaObjectE@Base 1.3.0
+ _ZN13KUserFeedback26FeedbackConfigUiController18setApplicationNameERK7QString@Base 1.3.0
+ _ZN13KUserFeedback26FeedbackConfigUiController19setFeedbackProviderEPNS_8ProviderE@Base 1.3.0
+ _ZN13KUserFeedback26FeedbackConfigUiController22applicationNameChangedERK7QString@Base 1.3.0
+ _ZN13KUserFeedback26FeedbackConfigUiControllerC1EP7QObject@Base 1.3.0
+ _ZN13KUserFeedback26FeedbackConfigUiControllerC2EP7QObject@Base 1.3.0
+ _ZN13KUserFeedback26FeedbackConfigUiControllerD0Ev@Base 1.3.0
+ _ZN13KUserFeedback26FeedbackConfigUiControllerD1Ev@Base 1.3.0
+ _ZN13KUserFeedback26FeedbackConfigUiControllerD2Ev@Base 1.3.0
+ _ZN13KUserFeedback8Provider10setEnabledEb@Base 1.3.0
+ _ZN13KUserFeedback8Provider11qt_metacallEN11QMetaObject4CallEiPPv@Base 1.3.0
+ _ZN13KUserFeedback8Provider11qt_metacastEPKc@Base 1.3.0
+ _ZN13KUserFeedback8Provider13addDataSourceEPNS_18AbstractDataSourceE@Base 1.3.0
+ _ZN13KUserFeedback8Provider14enabledChangedEv@Base 1.3.0
+ _ZN13KUserFeedback8Provider15restoreDefaultsEv@Base 1.3.0
+ _ZN13KUserFeedback8Provider15surveyAvailableERKNS_10SurveyInfoE@Base 1.3.0
+ _ZN13KUserFeedback8Provider15surveyCompletedERKNS_10SurveyInfoE@Base 1.3.0
+ _ZN13KUserFeedback8Provider16setTelemetryModeENS0_13TelemetryModeE@Base 1.3.0
+ _ZN13KUserFeedback8Provider16staticMetaObjectE@Base 1.3.0
+ _ZN13KUserFeedback8Provider17setFeedbackServerERK4QUrl@Base 1.3.0
+ _ZN13KUserFeedback8Provider17setSurveyIntervalEi@Base 1.3.0
+ _ZN13KUserFeedback8Provider18dataSourcesChangedEv@Base 1.3.0
+ _ZN13KUserFeedback8Provider20setProductIdentifierERK7QString@Base 1.3.0
+ _ZN13KUserFeedback8Provider20telemetryModeChangedEv@Base 1.3.0
+ _ZN13KUserFeedback8Provider21setEncouragementDelayEi@Base 1.3.0
+ _ZN13KUserFeedback8Provider21setSubmissionIntervalEi@Base 1.3.0
+ _ZN13KUserFeedback8Provider21surveyIntervalChangedEv@Base 1.3.0
+ _ZN13KUserFeedback8Provider23providerSettingsChangedEv@Base 1.3.0
+ _ZN13KUserFeedback8Provider24setEncouragementIntervalEi@Base 1.3.0
+ _ZN13KUserFeedback8Provider24showEncouragementMessageEv@Base 1.3.0
+ _ZN13KUserFeedback8Provider38setApplicationStartsUntilEncouragementEi@Base 1.3.0
+ _ZN13KUserFeedback8Provider41setApplicationUsageTimeUntilEncouragementEi@Base 1.3.0
+ _ZN13KUserFeedback8Provider4loadEv@Base 1.3.0
+ _ZN13KUserFeedback8Provider5storeEv@Base 1.3.0
+ _ZN13KUserFeedback8Provider6submitEv@Base 1.3.0
+ _ZN13KUserFeedback8ProviderC1EP7QObject@Base 1.3.0
+ _ZN13KUserFeedback8ProviderC2EP7QObject@Base 1.3.0
+ _ZN13KUserFeedback8ProviderD0Ev@Base 1.3.0
+ _ZN13KUserFeedback8ProviderD1Ev@Base 1.3.0
+ _ZN13KUserFeedback8ProviderD2Ev@Base 1.3.0
+ _ZNK13KUserFeedback10SurveyInfo3urlEv@Base 1.3.0
+ _ZNK13KUserFeedback10SurveyInfo4uuidEv@Base 1.3.0
+ _ZNK13KUserFeedback10SurveyInfo6targetEv@Base 1.3.0
+ _ZNK13KUserFeedback10SurveyInfo7isValidEv@Base 1.3.0
+ _ZNK13KUserFeedback13CpuInfoSource11descriptionEv@Base 1.3.0
+ _ZNK13KUserFeedback13CpuInfoSource4nameEv@Base 1.3.0
+ _ZNK13KUserFeedback13QPAInfoSource11descriptionEv@Base 1.3.0
+ _ZNK13KUserFeedback13QPAInfoSource4nameEv@Base 1.3.0
+ _ZNK13KUserFeedback15QtVersionSource11descriptionEv@Base 1.3.0
+ _ZNK13KUserFeedback15QtVersionSource4nameEv@Base 1.3.0
+ _ZNK13KUserFeedback15UsageTimeSource11descriptionEv@Base 1.3.0
+ _ZNK13KUserFeedback15UsageTimeSource4nameEv@Base 1.3.0
+ _ZNK13KUserFeedback16LocaleInfoSource11descriptionEv@Base 1.3.0
+ _ZNK13KUserFeedback16LocaleInfoSource4nameEv@Base 1.3.0
+ _ZNK13KUserFeedback16OpenGLInfoSource11descriptionEv@Base 1.3.0
+ _ZNK13KUserFeedback16OpenGLInfoSource4nameEv@Base 1.3.0
+ _ZNK13KUserFeedback16ScreenInfoSource11descriptionEv@Base 1.3.0
+ _ZNK13KUserFeedback16ScreenInfoSource4nameEv@Base 1.3.0
+ _ZNK13KUserFeedback16StartCountSource11descriptionEv@Base 1.3.0
+ _ZNK13KUserFeedback16StartCountSource4nameEv@Base 1.3.0
+ _ZNK13KUserFeedback18AbstractDataSource13telemetryModeEv@Base 1.3.0
+ _ZNK13KUserFeedback18AbstractDataSource2idEv@Base 1.3.0
+ _ZNK13KUserFeedback18AbstractDataSource4nameEv@Base 1.3.0
+ _ZNK13KUserFeedback18AbstractDataSource8isActiveEv@Base 1.3.0
+ _ZNK13KUserFeedback18CompilerInfoSource11descriptionEv@Base 1.3.0
+ _ZNK13KUserFeedback18CompilerInfoSource4nameEv@Base 1.3.0
+ _ZNK13KUserFeedback18PlatformInfoSource11descriptionEv@Base 1.3.0
+ _ZNK13KUserFeedback18PlatformInfoSource4nameEv@Base 1.3.0
+ _ZNK13KUserFeedback19PropertyRatioSource11descriptionEv@Base 1.3.0
+ _ZNK13KUserFeedback19PropertyRatioSource12propertyNameEv@Base 1.3.0
+ _ZNK13KUserFeedback19PropertyRatioSource4nameEv@Base 1.3.0
+ _ZNK13KUserFeedback19PropertyRatioSource6objectEv@Base 1.3.0
+ _ZNK13KUserFeedback20AuditLogUiController10metaObjectEv@Base 1.3.0
+ _ZNK13KUserFeedback20AuditLogUiController13hasLogEntriesEv@Base 1.3.0
+ _ZNK13KUserFeedback20AuditLogUiController13logEntryModelEv@Base 1.3.0
+ _ZNK13KUserFeedback20AuditLogUiController8logEntryERK9QDateTime@Base 1.3.0
+ _ZNK13KUserFeedback20SelectionRatioSource11descriptionEv@Base 1.3.0
+ _ZNK13KUserFeedback24ApplicationVersionSource11descriptionEv@Base 1.3.0
+ _ZNK13KUserFeedback24ApplicationVersionSource4nameEv@Base 1.3.0
+ _ZNK13KUserFeedback26FeedbackConfigUiController10metaObjectEv@Base 1.3.0
+ _ZNK13KUserFeedback26FeedbackConfigUiController13telemetryNameENS_8Provider13TelemetryModeE@Base 1.3.0
+ _ZNK13KUserFeedback26FeedbackConfigUiController15applicationNameEv@Base 1.3.0
+ _ZNK13KUserFeedback26FeedbackConfigUiController15surveyModeCountEv@Base 1.3.0
+ _ZNK13KUserFeedback26FeedbackConfigUiController16feedbackProviderEv@Base 1.3.0
+ _ZNK13KUserFeedback26FeedbackConfigUiController17telemetryModeNameEi@Base 1.3.0
+ _ZNK13KUserFeedback26FeedbackConfigUiController18telemetryModeCountEv@Base 1.3.0
+ _ZNK13KUserFeedback26FeedbackConfigUiController20telemetryDescriptionENS_8Provider13TelemetryModeE@Base 1.3.0
+ _ZNK13KUserFeedback26FeedbackConfigUiController20telemetryIndexToModeEi@Base 1.3.0
+ _ZNK13KUserFeedback26FeedbackConfigUiController20telemetryModeDetailsEi@Base 1.3.0
+ _ZNK13KUserFeedback26FeedbackConfigUiController20telemetryModeToIndexENS_8Provider13TelemetryModeE@Base 1.3.0
+ _ZNK13KUserFeedback26FeedbackConfigUiController21surveyIndexToIntervalEi@Base 1.3.0
+ _ZNK13KUserFeedback26FeedbackConfigUiController21surveyIntervalToIndexEi@Base 1.3.0
+ _ZNK13KUserFeedback26FeedbackConfigUiController21surveyModeDescriptionEi@Base 1.3.0
+ _ZNK13KUserFeedback26FeedbackConfigUiController24telemetryModeDescriptionEi@Base 1.3.0
+ _ZNK13KUserFeedback8Provider10dataSourceERK7QString@Base 1.3.0
+ _ZNK13KUserFeedback8Provider10metaObjectEv@Base 1.3.0
+ _ZNK13KUserFeedback8Provider11dataSourcesEv@Base 1.3.0
+ _ZNK13KUserFeedback8Provider13telemetryModeEv@Base 1.3.0
+ _ZNK13KUserFeedback8Provider14feedbackServerEv@Base 1.3.0
+ _ZNK13KUserFeedback8Provider14surveyIntervalEv@Base 1.3.0
+ _ZNK13KUserFeedback8Provider17productIdentifierEv@Base 1.3.0
+ _ZNK13KUserFeedback8Provider18encouragementDelayEv@Base 1.3.0
+ _ZNK13KUserFeedback8Provider18submissionIntervalEv@Base 1.3.0
+ _ZNK13KUserFeedback8Provider19describeDataSourcesEv@Base 1.3.0
+ _ZNK13KUserFeedback8Provider21encouragementIntervalEv@Base 1.3.0
+ _ZNK13KUserFeedback8Provider35applicationStartsUntilEncouragementEv@Base 1.3.0
+ _ZNK13KUserFeedback8Provider38applicationUsageTimeUntilEncouragementEv@Base 1.3.0
+ _ZNK13KUserFeedback8Provider9isEnabledEv@Base 1.3.0
+ (optional=templinst)_ZNKSt8_Rb_treeI7QStringSt4pairIKS0_8QVariantESt10_Select1stIS4_ESt4lessIS0_ESaIS4_EE4findERS2_@Base 1.3.0
+ (optional=templinst)_ZNSt6vectorI9QDateTimeSaIS0_EE17_M_realloc_insertIJRKS0_EEEvN9__gnu_cxx17__normal_iteratorIPS0_S2_EEDpOT_@Base 1.3.0
+ (optional=templinst)_ZNSt6vectorIN13KUserFeedback8Provider13TelemetryModeESaIS2_EE17_M_realloc_insertIJS2_EEEvN9__gnu_cxx17__normal_iteratorIPS2_S4_EEDpOT_@Base 1.3.0
+ (optional=templinst)_ZNSt8_Rb_treeI7QStringSt4pairIKS0_8QVariantESt10_Select1stIS4_ESt4lessIS0_ESaIS4_EE24_M_get_insert_unique_posERS2_@Base 1.3.0
+ (optional=templinst|arch=amd64)_ZNSt8_Rb_treeI7QStringSt4pairIKS0_8QVariantESt10_Select1stIS4_ESt4lessIS0_ESaIS4_EE29_M_get_insert_hint_unique_posESt23_Rb_tree_const_iteratorIS4_ERS2_@Base 1.3.0
+ _ZTIN13KUserFeedback13CpuInfoSourceE@Base 1.3.0
+ _ZTIN13KUserFeedback13QPAInfoSourceE@Base 1.3.0
+ _ZTIN13KUserFeedback15QtVersionSourceE@Base 1.3.0
+ _ZTIN13KUserFeedback15UsageTimeSourceE@Base 1.3.0
+ _ZTIN13KUserFeedback16LocaleInfoSourceE@Base 1.3.0
+ _ZTIN13KUserFeedback16OpenGLInfoSourceE@Base 1.3.0
+ _ZTIN13KUserFeedback16ScreenInfoSourceE@Base 1.3.0
+ _ZTIN13KUserFeedback16StartCountSourceE@Base 1.3.0
+ _ZTIN13KUserFeedback18AbstractDataSourceE@Base 1.3.0
+ _ZTIN13KUserFeedback18CompilerInfoSourceE@Base 1.3.0
+ _ZTIN13KUserFeedback18PlatformInfoSourceE@Base 1.3.0
+ _ZTIN13KUserFeedback19PropertyRatioSourceE@Base 1.3.0
+ _ZTIN13KUserFeedback20AuditLogUiControllerE@Base 1.3.0
+ _ZTIN13KUserFeedback20SelectionRatioSourceE@Base 1.3.0
+ _ZTIN13KUserFeedback24ApplicationVersionSourceE@Base 1.3.0
+ _ZTIN13KUserFeedback26FeedbackConfigUiControllerE@Base 1.3.0
+ _ZTIN13KUserFeedback8ProviderE@Base 1.3.0
+ _ZTSN13KUserFeedback13CpuInfoSourceE@Base 1.3.0
+ _ZTSN13KUserFeedback13QPAInfoSourceE@Base 1.3.0
+ _ZTSN13KUserFeedback15QtVersionSourceE@Base 1.3.0
+ _ZTSN13KUserFeedback15UsageTimeSourceE@Base 1.3.0
+ _ZTSN13KUserFeedback16LocaleInfoSourceE@Base 1.3.0
+ _ZTSN13KUserFeedback16OpenGLInfoSourceE@Base 1.3.0
+ _ZTSN13KUserFeedback16ScreenInfoSourceE@Base 1.3.0
+ _ZTSN13KUserFeedback16StartCountSourceE@Base 1.3.0
+ _ZTSN13KUserFeedback18AbstractDataSourceE@Base 1.3.0
+ _ZTSN13KUserFeedback18CompilerInfoSourceE@Base 1.3.0
+ _ZTSN13KUserFeedback18PlatformInfoSourceE@Base 1.3.0
+ _ZTSN13KUserFeedback19PropertyRatioSourceE@Base 1.3.0
+ _ZTSN13KUserFeedback20AuditLogUiControllerE@Base 1.3.0
+ _ZTSN13KUserFeedback20SelectionRatioSourceE@Base 1.3.0
+ _ZTSN13KUserFeedback24ApplicationVersionSourceE@Base 1.3.0
+ _ZTSN13KUserFeedback26FeedbackConfigUiControllerE@Base 1.3.0
+ _ZTSN13KUserFeedback8ProviderE@Base 1.3.0
+ _ZTVN13KUserFeedback13CpuInfoSourceE@Base 1.3.0
+ _ZTVN13KUserFeedback13QPAInfoSourceE@Base 1.3.0
+ _ZTVN13KUserFeedback15QtVersionSourceE@Base 1.3.0
+ _ZTVN13KUserFeedback15UsageTimeSourceE@Base 1.3.0
+ _ZTVN13KUserFeedback16LocaleInfoSourceE@Base 1.3.0
+ _ZTVN13KUserFeedback16OpenGLInfoSourceE@Base 1.3.0
+ _ZTVN13KUserFeedback16ScreenInfoSourceE@Base 1.3.0
+ _ZTVN13KUserFeedback16StartCountSourceE@Base 1.3.0
+ _ZTVN13KUserFeedback18AbstractDataSourceE@Base 1.3.0
+ _ZTVN13KUserFeedback18CompilerInfoSourceE@Base 1.3.0
+ _ZTVN13KUserFeedback18PlatformInfoSourceE@Base 1.3.0
+ _ZTVN13KUserFeedback19PropertyRatioSourceE@Base 1.3.0
+ _ZTVN13KUserFeedback20AuditLogUiControllerE@Base 1.3.0
+ _ZTVN13KUserFeedback20SelectionRatioSourceE@Base 1.3.0
+ _ZTVN13KUserFeedback24ApplicationVersionSourceE@Base 1.3.0
+ _ZTVN13KUserFeedback26FeedbackConfigUiControllerE@Base 1.3.0
+ _ZTVN13KUserFeedback8ProviderE@Base 1.3.0
diff -pruN 1.3.0-4/debian/libkuserfeedbackwidgetsqt6-1.install 1.3.0-5/debian/libkuserfeedbackwidgetsqt6-1.install
--- 1.3.0-4/debian/libkuserfeedbackwidgetsqt6-1.install	1970-01-01 00:00:00.000000000 +0000
+++ 1.3.0-5/debian/libkuserfeedbackwidgetsqt6-1.install	2024-06-18 06:45:01.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/*/libKUserFeedbackWidgetsQt6.so.1*
diff -pruN 1.3.0-4/debian/libkuserfeedbackwidgetsqt6-1.symbols 1.3.0-5/debian/libkuserfeedbackwidgetsqt6-1.symbols
--- 1.3.0-4/debian/libkuserfeedbackwidgetsqt6-1.symbols	1970-01-01 00:00:00.000000000 +0000
+++ 1.3.0-5/debian/libkuserfeedbackwidgetsqt6-1.symbols	2024-06-18 06:45:01.000000000 +0000
@@ -0,0 +1,63 @@
+# SymbolsHelper-Confirmed: 1.3.0 amd64 i386
+libKUserFeedbackWidgetsQt6.so.1 libkuserfeedbackwidgetsqt6-1 #MINVER#
+* Build-Depends-Package: qt6-kuserfeedback-dev
+ _ZN13KUserFeedback15StyleInfoSource4dataEv@Base 1.3.0
+ _ZN13KUserFeedback15StyleInfoSourceC1Ev@Base 1.3.0
+ _ZN13KUserFeedback15StyleInfoSourceC2Ev@Base 1.3.0
+ _ZN13KUserFeedback17NotificationPopup11eventFilterEP7QObjectP6QEvent@Base 1.3.0
+ _ZN13KUserFeedback17NotificationPopup11qt_metacallEN11QMetaObject4CallEiPPv@Base 1.3.0
+ _ZN13KUserFeedback17NotificationPopup11qt_metacastEPKc@Base 1.3.0
+ _ZN13KUserFeedback17NotificationPopup15keyReleaseEventEP9QKeyEvent@Base 1.3.0
+ _ZN13KUserFeedback17NotificationPopup16staticMetaObjectE@Base 1.3.0
+ _ZN13KUserFeedback17NotificationPopup19setFeedbackProviderEPNS_8ProviderE@Base 1.3.0
+ _ZN13KUserFeedback17NotificationPopupC1EP7QWidget@Base 1.3.0
+ _ZN13KUserFeedback17NotificationPopupC2EP7QWidget@Base 1.3.0
+ _ZN13KUserFeedback17NotificationPopupD0Ev@Base 1.3.0
+ _ZN13KUserFeedback17NotificationPopupD1Ev@Base 1.3.0
+ _ZN13KUserFeedback17NotificationPopupD2Ev@Base 1.3.0
+ _ZN13KUserFeedback20FeedbackConfigDialog11qt_metacallEN11QMetaObject4CallEiPPv@Base 1.3.0
+ _ZN13KUserFeedback20FeedbackConfigDialog11qt_metacastEPKc@Base 1.3.0
+ _ZN13KUserFeedback20FeedbackConfigDialog16staticMetaObjectE@Base 1.3.0
+ _ZN13KUserFeedback20FeedbackConfigDialog19setFeedbackProviderEPNS_8ProviderE@Base 1.3.0
+ _ZN13KUserFeedback20FeedbackConfigDialog6acceptEv@Base 1.3.0
+ _ZN13KUserFeedback20FeedbackConfigDialogC1EP7QWidget@Base 1.3.0
+ _ZN13KUserFeedback20FeedbackConfigDialogC2EP7QWidget@Base 1.3.0
+ _ZN13KUserFeedback20FeedbackConfigDialogD0Ev@Base 1.3.0
+ _ZN13KUserFeedback20FeedbackConfigDialogD1Ev@Base 1.3.0
+ _ZN13KUserFeedback20FeedbackConfigDialogD2Ev@Base 1.3.0
+ _ZN13KUserFeedback20FeedbackConfigWidget11eventFilterEP7QObjectP6QEvent@Base 1.3.0
+ _ZN13KUserFeedback20FeedbackConfigWidget11qt_metacallEN11QMetaObject4CallEiPPv@Base 1.3.0
+ _ZN13KUserFeedback20FeedbackConfigWidget11qt_metacastEPKc@Base 1.3.0
+ _ZN13KUserFeedback20FeedbackConfigWidget16staticMetaObjectE@Base 1.3.0
+ _ZN13KUserFeedback20FeedbackConfigWidget19setFeedbackProviderEPNS_8ProviderE@Base 1.3.0
+ _ZN13KUserFeedback20FeedbackConfigWidget20configurationChangedEv@Base 1.3.0
+ _ZN13KUserFeedback20FeedbackConfigWidgetC1EP7QWidget@Base 1.3.0
+ _ZN13KUserFeedback20FeedbackConfigWidgetC2EP7QWidget@Base 1.3.0
+ _ZN13KUserFeedback20FeedbackConfigWidgetD0Ev@Base 1.3.0
+ _ZN13KUserFeedback20FeedbackConfigWidgetD1Ev@Base 1.3.0
+ _ZN13KUserFeedback20FeedbackConfigWidgetD2Ev@Base 1.3.0
+ _ZNK13KUserFeedback15StyleInfoSource11descriptionEv@Base 1.3.0
+ _ZNK13KUserFeedback15StyleInfoSource4nameEv@Base 1.3.0
+ _ZNK13KUserFeedback17NotificationPopup10metaObjectEv@Base 1.3.0
+ _ZNK13KUserFeedback20FeedbackConfigDialog10metaObjectEv@Base 1.3.0
+ _ZNK13KUserFeedback20FeedbackConfigWidget10metaObjectEv@Base 1.3.0
+ _ZNK13KUserFeedback20FeedbackConfigWidget13telemetryModeEv@Base 1.3.0
+ _ZNK13KUserFeedback20FeedbackConfigWidget14surveyIntervalEv@Base 1.3.0
+ _ZNK13KUserFeedback20FeedbackConfigWidget16feedbackProviderEv@Base 1.3.0
+ (optional=templinst)_ZNSt8_Rb_treeI7QStringSt4pairIKS0_8QVariantESt10_Select1stIS4_ESt4lessIS0_ESaIS4_EE24_M_get_insert_unique_posERS2_@Base 1.3.0
+ (optional=templinst|arch=amd64)_ZNSt8_Rb_treeI7QStringSt4pairIKS0_8QVariantESt10_Select1stIS4_ESt4lessIS0_ESaIS4_EE29_M_get_insert_hint_unique_posESt23_Rb_tree_const_iteratorIS4_ERS2_@Base 1.3.0
+ _ZTIN13KUserFeedback15StyleInfoSourceE@Base 1.3.0
+ _ZTIN13KUserFeedback17NotificationPopupE@Base 1.3.0
+ _ZTIN13KUserFeedback20FeedbackConfigDialogE@Base 1.3.0
+ _ZTIN13KUserFeedback20FeedbackConfigWidgetE@Base 1.3.0
+ _ZTSN13KUserFeedback15StyleInfoSourceE@Base 1.3.0
+ _ZTSN13KUserFeedback17NotificationPopupE@Base 1.3.0
+ _ZTSN13KUserFeedback20FeedbackConfigDialogE@Base 1.3.0
+ _ZTSN13KUserFeedback20FeedbackConfigWidgetE@Base 1.3.0
+ _ZTVN13KUserFeedback15StyleInfoSourceE@Base 1.3.0
+ _ZTVN13KUserFeedback17NotificationPopupE@Base 1.3.0
+ _ZTVN13KUserFeedback20FeedbackConfigDialogE@Base 1.3.0
+ _ZTVN13KUserFeedback20FeedbackConfigWidgetE@Base 1.3.0
+ (c++)"non-virtual thunk to KUserFeedback::FeedbackConfigDialog::~FeedbackConfigDialog()@Base" 1.3.0
+ (c++)"non-virtual thunk to KUserFeedback::FeedbackConfigWidget::~FeedbackConfigWidget()@Base" 1.3.0
+ (c++)"non-virtual thunk to KUserFeedback::NotificationPopup::~NotificationPopup()@Base" 1.3.0
diff -pruN 1.3.0-4/debian/not-installed 1.3.0-5/debian/not-installed
--- 1.3.0-4/debian/not-installed	2024-04-16 21:17:46.000000000 +0000
+++ 1.3.0-5/debian/not-installed	1970-01-01 00:00:00.000000000 +0000
@@ -1,6 +0,0 @@
-usr/bin/UserFeedbackConsole
-usr/bin/userfeedbackctl
-usr/share/applications/org.kde.kuserfeedback-console.desktop
-usr/share/locale/*/LC_MESSAGES/userfeedbackconsole5_qt.qm
-usr/share/metainfo/org.kde.kuserfeedback-console.appdata.xml
-usr/share/KDE/UserFeedbackConsole
diff -pruN 1.3.0-4/debian/qml6-module-org-kde-userfeedback.install 1.3.0-5/debian/qml6-module-org-kde-userfeedback.install
--- 1.3.0-4/debian/qml6-module-org-kde-userfeedback.install	1970-01-01 00:00:00.000000000 +0000
+++ 1.3.0-5/debian/qml6-module-org-kde-userfeedback.install	2024-06-18 06:45:01.000000000 +0000
@@ -0,0 +1,2 @@
+usr/lib/*/qt6/qml/org/kde/userfeedback/libKUserFeedbackQmlQt6.so
+usr/lib/*/qt6/qml/org/kde/userfeedback/qmldir
diff -pruN 1.3.0-4/debian/qt6-kuserfeedback-dev.install 1.3.0-5/debian/qt6-kuserfeedback-dev.install
--- 1.3.0-4/debian/qt6-kuserfeedback-dev.install	1970-01-01 00:00:00.000000000 +0000
+++ 1.3.0-5/debian/qt6-kuserfeedback-dev.install	2024-06-18 06:45:01.000000000 +0000
@@ -0,0 +1,6 @@
+usr/include/KUserFeedbackQt6/
+usr/lib/*/cmake/KUserFeedbackQt6/
+usr/lib/*/libKUserFeedbackCoreQt6.so
+usr/lib/*/libKUserFeedbackWidgetsQt6.so
+usr/lib/*/qt6/mkspecs/modules/qt_KUserFeedbackCoreQt6.pri
+usr/lib/*/qt6/mkspecs/modules/qt_KUserFeedbackWidgetsQt6.pri
diff -pruN 1.3.0-4/debian/rules 1.3.0-5/debian/rules
--- 1.3.0-4/debian/rules	2024-04-16 21:17:46.000000000 +0000
+++ 1.3.0-5/debian/rules	2024-06-18 06:53:12.000000000 +0000
@@ -8,9 +8,21 @@ export DEB_BUILD_MAINT_OPTIONS = hardeni
 
 override_dh_auto_configure-arch:
 	dh_auto_configure -- -DENABLE_DOCS=OFF -DQT_MAJOR_VERSION=5
+	dh_auto_configure --builddirectory=build-qt6 -- -DENABLE_DOCS=OFF -DENABLE_CONSOLE=OFF -DENABLE_CLI=OFF -DQT_MAJOR_VERSION=6
 
 override_dh_auto_configure-indep:
 	dh_auto_configure -- -DENABLE_DOCS=ON -DQT_MAJOR_VERSION=5
+	dh_auto_configure --builddirectory=build-qt6 -- -DENABLE_DOCS=ON -DENABLE_CONSOLE=OFF -DENABLE_CLI=OFF -DQT_MAJOR_VERSION=6
+
+override_dh_auto_build:
+	dh_auto_build
+	dh_auto_build --builddirectory=build-qt6
 
 override_dh_auto_test:
-	xvfb-run dh_auto_test --no-parallel
+# Disable until #1072971 is fixed
+#	xvfb-run dh_auto_test --no-parallel
+#	xvfb-run dh_auto_test --builddirectory=build-qt6 --no-parallel
+
+override_dh_auto_install:
+	dh_auto_install
+	dh_auto_install --builddirectory=build-qt6
